Overview | Package | Class | Tree | Deprecated | Index | Help
| JSS 3.3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mozilla.jss.pkix.primitive
Class PBEParameter

    java.lang.Object
      |
      +--org.mozilla.jss.pkix.primitive.PBEParameter

All Implemented Interfaces:
  ASN1Value

public class PBEParameter
extends java.lang.Object
implements ASN1Value

PKCS #5 PBEParameter, and PKCS #12 pkcs-12PbeParams. The only difference between the two is that PKCS #5 dictates that the size of the salt must be 8 bytes, while PKCS #12 leaves the salt length undefined. To work with both standards, this class does not check the length of the salt but rather leaves that to the application.

Nested Class Summary
`static class` | `PBEParameter.Template` A template class for decoding a PBEParameter.

Constructor Summary
`PBEParameter(byte[] salt, int iterations)` Creates a PBEParameter from a salt and iteration count.
`PBEParameter(OCTET_STRING salt, INTEGER iterations)` Creates a PBEParameter from a salt and iteration count.

Method Summary
`void` | `encode(java.io.OutputStream ostream)` Write this value's DER encoding to an output stream using its own base tag.
`void` | `encode(Tag implicitTag, java.io.OutputStream ostream)` Write this value's DER encoding to an output stream using an implicit tag.
`int` | `getIterations()`
`byte[]` | `getSalt()`
`Tag` | `getTag()` Returns the base tag for this type, not counting any tags that may be imposed on it by its context.
`static PBEParameter.Template` | `getTemplate()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PBEParameter

    public PBEParameter(byte[] salt,
                        int iterations)

  Creates a PBEParameter from a salt and iteration count. Neither may be null.

### PBEParameter

    public PBEParameter(OCTET_STRING salt,
                        INTEGER iterations)

  Creates a PBEParameter from a salt and iteration count. Neither may be null.

Method Detail

### getSalt

    public byte[] getSalt()

### getIterations

    public int getIterations()

### getTag

    public Tag getTag()

  Description copied from interface: `ASN1Value`
  Returns the base tag for this type, not counting any tags that may be imposed on it by its context.

  Specified by:
    `getTag` in interface `ASN1Value`

### encode

    public void encode(java.io.OutputStream ostream)
                throws java.io.IOException

  Description copied from interface: `ASN1Value`
  Write this value's DER encoding to an output stream using its own base tag.

  Specified by:
    `encode` in interface `ASN1Value`
    `java.io.IOException`

### encode

    public void encode(Tag implicitTag,
                       java.io.OutputStream ostream)
                throws java.io.IOException

  Description copied from interface: `ASN1Value`
  Write this value's DER encoding to an output stream using an implicit tag.

  Specified by:
    `encode` in interface `ASN1Value`
    `java.io.IOException`

### getTemplate

    public static PBEParameter.Template getTemplate()

Overview | Package | Class | Tree | Deprecated | Index | Help
| JSS 3.3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD